Subject: Re: Invoice: Bags
From: "LLPS Customer Service" <[email-masked]>
To: "[MHL/AmaMax] Harris C" <[email-masked]>
Date: Mon, 30 Jan 2017 09:26:23 -0500

Hello Harris.
I will either have Amber call you later with a credit card or if I get a chance, I will myself.
Thank you,
Michael B
LLPS

From: [MHL/AmaMax] Harris C 
Sent: Friday, January 27, 2017 7:12 PM
To: LLPS Customer Service 
Subject: Invoice: Bags

Hi Michael,

Invoice attached. Can you guys mail out an check for this order? Thanks!

Rgds, 

Harris Chan
Sr. Business Manager
AmaMax - Houston TX 

✆800-929-9343

This communication and any transmitted documents are intended to be confidential. If there is a problem with this transmission, please contact the sender. If the reader of this message is not the intended recipient, or the employee or agent responsible to deliver it to the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited.

"We know what we are, but know not what we may be." -W. Shakespeare